API Reference
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. payment-links
  • Introduction
  • Authentication & authorization
  • Environments
  • Transaction statuses
  • Notifications
  • Response codes
  • Error codes
  • purchase
    • Create transaction
    • Capture transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Cancel transaction
    • Renew authorization
    • Validate ApplePay session
    • Calculate cashback
  • refund
    • Create transaction
  • payout
    • Create transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Capture transaction
    • Cancel transaction
    • Renew transaction
    • Transaction details using ZEN id
    • Refresh transaction offers
    • Select transaction offer
  • payment-methods
    • Returns information about payment methods
    • Returns information about payment methods
  • payment-links
    • Create payment link
      POST
    • Fetch payment links list
      GET
    • Fetch payment link
      GET
    • Update payment link
      PATCH
  • customers
    • Create customer
    • Remove customer
    • Add customer recipient
    • Add payout card
    • Remove payout card
    • Fetch payout card list
    • Update payout card details
    • Fetch customer
    • Fetch card
    • Update card details
    • Remove card
    • Fetch card list
    • Fetch customer recipient list
    • Fetch customer recipient
    • Update customer details recipient
    • Remove customer recipient
    • Add customer payout card
    • Fetch saved payout card V3
    • Removes customer saved payout card V3
    • Fetch blik paymentTokens list
    • Remove Blik paymentToken
    • Fetch Blik paymentToken
    • Fetch saved merchant customer payout recipient list V3
    • Verify merchant's customer payout recipient card
    • Fetch saved merchant customer's payout card V3
    • Update merchant payout card alias
    • Removes merchant customer payout card.
  • authorization
    • Calculate authorization amount
    • Calculate reversed authorization amount
  • reports
    • Download report file
  1. payment-links

Fetch payment link

GET
https://api.zen.com/v1/payment-links/{id}
Fetch one specific payment link, that allows to initiate the payment process.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zen.com/v1/payment-links/' \
--header 'request-id;' \
--header 'Authorization: <api-key>'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "url": "http://example.com",
    "amount": {
        "currency": "string",
        "value": 0
    },
    "customer": {
        "firstName": "string",
        "lastName": "string",
        "email": "string"
    },
    "items": [
        {
            "name": "string",
            "price": 0,
            "quantity": 0
        }
    ],
    "merchant": {
        "uuid": "string",
        "shopUuid": "string",
        "terminalUuid": "string",
        "transactionId": "string",
        "terminalId": "string"
    },
    "expirationDate": "2019-08-24T14:15:22.123Z",
    "status": "string",
    "createdAt": "string",
    "hidden": true
}
🟠404Record Not Found
Modified at 2026-07-29 09:41:49
Previous
Fetch payment links list
Next
Update payment link